%define name	gramps
%define version	0.9.0
%define release	2mdk

Summary:	Genealogical Research and Analysis Management Programming System.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Other
Source0:	http://download.sourceforge.net/gramps/%{name}-%{version}.tar.bz2
Source1:	%name-48.png
Source2:	%name-32.png
Source3:	%name-16.png
Patch0:		%name.installfix.patch.bz2
BuildRoot:	%_tmppath/%{name}-%{version}-buildroot
URL:		http://gramps.sourceforge.net
BuildRequires:	scrollkeeper >= 0.1.4 docbook-utils
BuildRequires:  gnome-python gnome-python-gconf gnome-python-canvas
BuildRequires:  pygtk2.0-libglade
Requires:       gnome-python gnome-python-gconf gnome-python-canvas
Requires:  pygtk2.0-libglade
%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
(cd %buildroot/%_datadir/locale; mv da_DK da)
rm -fr $RPM_BUILD_ROOT/var

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
needs="X11" \
section="Applications/Sciences/Other" \
title="GRAMPS" \
longtitle="Genealogy Program"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{clean_menus}

%files -f %name.lang
%defattr(-, root, root)

%doc README COPYING TODO INSTALL

%{_bindir}/gramps
%{_datadir}/gnome/help/gramps-manual/C/*
%{_datadir}/gnome/help/extending-gramps/C/*
%{_datadir}/gnome/apps/Applications/gramps.desktop
%{_datadir}/pixmaps/*
%dir %{_datadir}/gramps
%{_datadir}/gramps/*
%{_menudir}/*
%{_datadir}/omf/gramps
%{_mandir}/man1/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Feb 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- fix requires 

* Thu Feb 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- bzip2 the patch
- needs gnome-python for gnome2
- use the right configure macro
- new version

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-2mdk
- rebuild

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.8.1-1mdk
- requires pygnome
- rm /var from buildroot
- 0.8.1

* Tue Oct 15 2002 Lenny Cartier <lenny@mandrakesoft.com>  0.8.0-3mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Cleanups
	- Added icons from Charles A Edwards <eslrahc@bellsouth.net>
	- fix illegal locale dir error and BuildRequires(from Götz Waschk)
	- Clean $RPM_BUILD_ROOT
	- define macros in top, ver -> version, etc.

* Mon Oct  7 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 0.8.0-2mdk
- Cleanups 
- Fixed install

* Fri Oct  4 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 0.8.0-1mdk
- Initial release
